Description: In the test group, we inclue @ruby-debug19@. This currently breaks on Ruby 1.9.3. I'd like to fix that for the 

final 3.0.0 release.

Three possibilities:
* We remove the @ruby-debug@ dependencies from the Gemfile completely and expect users who really 
need this to include it into their @Gemfile.local@
* We try some workaround to make it work on 1.9.3
* We don't care.

Right now, I'm in favor of the first variant. Can I please hear a Yay or Nay for that in the next seven days?

See also http://blog.wyeworks.com/2011/11/1/ruby-1-9-3-and-ruby-debug

Associated revisions
2008-03-12 08:58 pm - Jean-Philippe Lang 
Adds a setting for whether new projects should be public by default (closes #842, #839).
Patch by Rocco Stanzione, slightly edited.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1235 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-29 07:55 pm - Holger Just 
[#839] Remove ruby-debug dependency.

It completely breaks on Ruby 1.9.3-p0. This is a stopper for people installing all groups. For the rest it is rarely used at all. Developers and testers 
requiring it can include it into their Gemfile.local

2012-02-06 10:50 pm - Holger Just 
[#839] Remove ruby-debug dependency - Backport for 2.7

It completely breaks on Ruby 1.9.3-p0. This is a stopper for people installing all groups. For the rest it is rarely used at all. Developers and testers 
requiring it can include it into their Gemfile.local

History
2012-01-25 05:06 pm - Gerrit Kaiser
Please take ruby-debug19 out of the main Gemfile. It is only a development tool not a runtime dependency. Whatâ€™s more, currently the Gemfile.lock 
points to pre-release versions of linecache and ruby-debug-base19 that have to be manually tracked down and installed, even when on ruby 1.9.2

2012-01-25 05:15 pm - Holger Just
Gerrit Kaiser wrote:
> It is only a development tool not a runtime dependency.

That's why it is the @test@ group which is not expected to be installed on production installs. See [[Bundler]] fr more information.

> Whatâ€™s more, currently the Gemfile.lock points to pre-release versions of linecache and ruby-debug-base19 that have to be manually tracked 
down and installed, even when on ruby 1.9.2
We don't ship a @Gemfile.lock@. That is generated by your local bundler. And on my systems, a new install on Ruby 1.9.2 with the test group included 
succeeds. It just breaks on 1.9.3 because of the incompatibility.

2012-01-29 06:44 pm - Holger Just
- Status changed from Open to Closed

I completely removed the dependency with commit:8e85cbd

2012-01-29 11:59 pm - Toshi MARUYAMA
- File ruby-debug19.diff added

- Status changed from Closed to Ready for review

This is a patch from my Redmine Rails3 branch.

* https://bitbucket.org/marutosi/redmine-rails3.1-straight-20120111-git/changeset/8e78dd73acb0
* https://github.com/marutosi/redmine/commit/8e78dd73acb0

2012-01-31 03:10 pm - Holger Just
- Status changed from Ready for review to Closed

Toshi, thanks for the patch. However, I came to the conclusion that requiring ruby-debeg in the core is more trouble than it's worth. Having to maintain a 
row of dependencies of pre-release gems doesn't feel very stable to me. And as I said in the commit message: it's rarely used by anyone and those 
people who know they need it can include it into their @Gemfile.local@.

Thus, I feel comfortable now to not include the dependency at all.

2012-02-06 10:27 pm - Holger Just
- Target version changed from 3.0.0 to 2.7.0

I backported the fix for 2.7. So the numerically first version this is patch is present is 2.7. This is slightly out-of-protocol but I really wanted to have the 
patch in 2.7.

Files
ruby-debug19.diff 901 Bytes 2012-01-29 Toshi MARUYAMA
